coupang
GET/v2/providers/marketplace_openapi/apis/api/v2/vendor/shipping-place/outbound2609170000

출고지 조회

KRTW
# 01

요약

출고지 조회

# 02

상세

API 적용 가능한 구매자 사용자 지역: 한국, 대만

등록된 출고지 목록을 조회할 수 있습니다.

또는 출고지명, 출고지 코드를 사용하여 등록된 출고지 정보를 조회할 수 있습니다.

출고지 정보 조회시 사용하는 파라미터

  1. 등록 된 전체 출고지 목록을 조회할 경우 : pageNum와 pageSize만 입력
  2. 원하는 출고지 정보만 조회할 경우 : placeNames 또는 placeCodes만 입력

경로

GET/v2/providers/marketplace_openapi/apis/api/v2/vendor/shipping-place/outbound

예시 엔드포인트

https://api-gateway.coupang.com/v2/providers/marketplace_openapi/apis/api/v2/vendor/shipping-place/outbound?pageSize=50&pageNum=1

URL API Name

OUTBOUND_SHIPPING_PLACE
# 03

Query 파라미터

NameTypeDescription
placeCodesinteger
출고지 코드
출고지 생성 시, Response 메시지로 노출되는 값
outboundShippingPlaceCode와 동일
placeNamesstring
출고지명
shippingPlaceName과 동일
pageNuminteger
조회 페이지

Min = 1, Max: 리턴되는 totalPages 값
※ 목록을 조회하실 경우, 반드시 입력해주세요
pageSizeinteger
페이지당 최대 호출 수
Default=10, Max=50
※ 입력하지 않을 경우, 디폴트 값인 10으로 처리 됩니다.
# 04

응답 본문

응답 메시지

NameTypeDescription
contentobject[]
출고지 목록 데이터
outboundShippingPlaceCode
content[].outboundShippingPlaceCode
integer
출고지 코드
shippingPlaceName
content[].shippingPlaceName
string
출고지 이름
50자 이하로 작성
placeAddresses
content[].placeAddresses
object[]
출고지 주소
addressType
content[].placeAddresses[].addressType
string
주소 타입
JIBUN, ROADNAME, OVERSEA
countryCode
content[].placeAddresses[].countryCode
string
국가 코드, 국내의 경우 'KR'. 유효길이는 2
companyContactNumber
content[].placeAddresses[].companyContactNumber
string
전화번호
구분 Min~Max
x 2~4자
y 3~4자
z 4자
phoneNumber2
content[].placeAddresses[].phoneNumber2
string
보조 전화번호
(형식 : 전화번호와 동일합니다.)
returnZipCode
content[].placeAddresses[].returnZipCode
string
우편번호 : 숫자
5~6자리 숫자
returnAddress
content[].placeAddresses[].returnAddress
string
주소
최대 150자
returnAddressDetail
content[].placeAddresses[].returnAddressDetail
string
상세주소
최대 200자
remoteInfos
content[].remoteInfos
object[]
도서산간 배송정보
remoteInfoId
content[].remoteInfos[].remoteInfoId
integer
도서산간 배송정보 ID
deliveryCode
content[].remoteInfos[].deliveryCode
string
택배사 코드
출고지 생성 API - 택배사 코드 참고
jejuFee
content[].remoteInfos[].jejuFee
number
제주 지역 배송비(원)
notJeju
content[].remoteInfos[].notJeju
integer
제주외지역 배송비
usable
content[].remoteInfos[].usable
boolean
도서산간 배송정보 유효여부
true or false
createDate
content[].createDate
string
생성일
YYYY/MM/DD
usable
content[].usable
boolean
사용가능 여부
true or false
paginationobject
페이징
currentPage
pagination.currentPage
integer
현재 페이지
예) 1
totalPages
pagination.totalPages
integer
전체 페이지 Count
예) 1000
totalElements
pagination.totalElements
integer
전체 데이터 Count
예) 1000
countPerPage
pagination.countPerPage
integer
페이지별 데이터 Count
예) 10, 20, 30

Response Example

{
  "content": [
    {
      "outboundShippingPlaceCode": 1111222,
      "shippingPlaceName": "상품출고지1",
      "createDate": "2019/06/24",
      "placeAddresses": [
        {
          "addressType": "JIBUN",
          "countryCode": "KR",
          "companyContactNumber": "02-1234-5678",
          "phoneNumber2": "031-1234-5678",
          "returnZipCode": "05510",
          "returnAddress": "서울특별시 송파구 신천동",
          "returnAddressDetail": "7-30, Tower출고지"
        }
      ],
      "remoteInfos": [
        {
          "remoteInfoId": 581487,
          "deliveryCode": "DIRECT",
          "jeju": 5000,
          "notJeju": 2500,
          "usable": true
        }
      ],
      "usable": true
    }
  ],
  "pagination": {
    "currentPage": 1,
    "countPerPage": 1,
    "totalPages": 1,
    "totalElements": 1
  }
}
# 05

에러 코드

HTTP코드메시지
400HTTP_400Bad Request

오류 사양

HTTP유형오류 메시지해결 방법
400400 (요청변수확인)

(pageNum & pageSize) or placeCodes or placeNames must be provided to call this API

(pageNum & pageSize) 또는 placeCodes, placeNames 값 입력이 누락되지 않았는지 확인합니다.